Bug 201540 - [PATCH] security/tor: Update to 0.2.6.10
Summary: [PATCH] security/tor: Update to 0.2.6.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Rodrigo Osorio
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-07-13 19:26 UTC by Neel Chauhan
Modified: 2015-10-03 07:33 UTC (History)
7 users (show)

See Also:
koobs: maintainer-feedback-


Attachments
Patch to update security/tor to 0.2.6.10 (713 bytes, patch)
2015-07-13 19:26 UTC, Neel Chauhan
no flags Details | Diff
poudriere build log for security/tor 0.2.6.10 (42.89 KB, text/x-log)
2015-07-13 19:27 UTC, Neel Chauhan
no flags Details
security/tor-devel update to 0.2.7.2-alpha (863 bytes, patch)
2015-09-18 05:53 UTC, Rodrigo Osorio
no flags Details | Diff
Patch for both tor and tor-devel (2.07 KB, patch)
2015-09-22 21:50 UTC, Rodrigo Osorio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan 2015-07-13 19:26:59 UTC
Created attachment 158715 [details]
Patch to update security/tor to 0.2.6.10

Hi,
I have a patch to update the port security/tor to it's latest version: 0.2.6.10. The poudriere build log will be uploaded shortly.
Thanks,
Neel Chauhan
===
https://www,neelc.org/
Comment 1 Neel Chauhan 2015-07-13 19:27:59 UTC
Created attachment 158716 [details]
poudriere build log for security/tor 0.2.6.10

Also, here is the poudriere build log for security/tor 0.2.6.7.
-Neel
Comment 2 Yuri Victorovich freebsd_committer 2015-09-15 02:28:46 UTC
Is this maintainer timeout?

Tor 0.2.6.9 is currently broken on FreeBSD, and 0.2.6.10 should be a priority.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-09-15 03:07:25 UTC
Maintainer timeout (2 months)

Open to take. Patch is ready, QA'd, and easy
Comment 4 Rodrigo Osorio freebsd_committer 2015-09-15 08:34:32 UTC
take this PR
Comment 5 Rodrigo Osorio freebsd_committer 2015-09-18 05:53:10 UTC
Created attachment 161160 [details]
security/tor-devel update to 0.2.7.2-alpha

In addition tor-devel should be updated to the upcoming version of tor (alpha)
Comment 6 Rodrigo Osorio freebsd_committer 2015-09-22 21:50:05 UTC
Created attachment 161288 [details]
Patch for both tor and tor-devel
Comment 7 Brendan Fabeny freebsd_committer 2015-09-23 12:49:29 UTC
(In reply to Rodrigo Osorio from comment #6)

The patch for tor-devel is being handled in the separate Bug 202005 (the requirements for the tls library are versioned there, and the cpe additions are left intact -- they were only commented out for the brief period in which tor and tor-devel were on the same branch following a new release), so please don't use that portion.  I'll look into the other minor differences there.

Regards,
             b.f.
Comment 8 Rodrigo Osorio freebsd_committer 2015-09-26 21:04:57 UTC
(In reply to Brendan Fabeny from comment #7)
This means I can commit the tor part of the patch ?
Comment 9 Brendan Fabeny freebsd_committer 2015-09-28 02:12:31 UTC
Yes.
Comment 10 Neel Chauhan 2015-09-28 17:30:56 UTC
Keep in mind that tor-devel got a new version, and is now handled in Bug 203421.
Thanks,
Neel Chauhan
===
http://www.neelc.org/
Comment 11 Chad Jacob Milios 2015-10-02 20:49:13 UTC
for what it's worth, i've been using this tor patch (the bump to v0.2.6.10) as-is for two months with <span style="voice:borat">great success</span>.

i believe any committer may feel free to commit now.
Comment 12 commit-hook freebsd_committer 2015-10-03 07:33:32 UTC
A commit references this bug:

Author: rodrigo
Date: Sat Oct  3 07:32:43 UTC 2015
New revision: 398464
URL: https://svnweb.freebsd.org/changeset/ports/398464

Log:
  Upgrade TOR port to 0.2.6.10

  PR:		201540
  Submitted by:	Neel Chauhan <neel@neelc.org>
  Approved by:	bf@ (maintainer)

Changes:
  head/security/tor/Makefile
  head/security/tor/distinfo
Comment 13 Rodrigo Osorio freebsd_committer 2015-10-03 07:33:56 UTC
Committed thanks